VARKON Version 1.17D 2003-02-25

> ## odbc_execdirect - Function

> Executes a SQL-statement

> Description

> A string with an SQL statement is sent to a previousley connected ODBC datasource for direct execution.

> Syntax

> odbc_execdirect(sqlstr)

> STRING | sqlstr*132;

> Principal parameters

> sqlstr | - A string containing a valid SQL statement

> Optional parameters

> None. |

> Return value

> An INT describing the status of sucess. 0 = Ok, -1 = Error.

> Comments

> If negative status (-1) is returned from odbc_execdirect() the operation failed and the reason to why the function was not successful can be retrieved using odbc_error().

> See also

> odbc_connect(), odbc_fetch(), odbc_getstring(), odbc_disconnect() and odbc_error()

VARKON Homepage | Index